summaryrefslogtreecommitdiffstats
path: root/.local
diff options
context:
space:
mode:
Diffstat (limited to '.local')
-rwxr-xr-x.local/bin/nb8
1 files changed, 8 insertions, 0 deletions
diff --git a/.local/bin/nb b/.local/bin/nb
new file mode 100755
index 0000000..117840d
--- /dev/null
+++ b/.local/bin/nb
@@ -0,0 +1,8 @@
+#!/bin/sh
+
+[ -f /tmp/cache.db ] && exec newsboat -c /tmp/cache.db -u /tmp/urls
+cache_file="$XDG_DATA_HOME/newsboat/cache.db.gpg"
+urls_file="$XDG_CONFIG_HOME/newsboat/urls.gpg"
+[ -f $urls_file ] && gpg -q -d $urls_file > /tmp/urls || return
+[ -f $cache_file ] && gpg -q -d $cache_file > /tmp/cache.db || return
+newsboat -c /tmp/cache.db -u /tmp/urls